﻿package dao

import (
	"applet/app/db/model"
	"xorm.io/xorm"
)

type AgentDao interface {
	GetAgentByUsername(username string) (medium *model.Agent, err error)
	AgentInsert(m *model.Agent) (int64, error)
	AgentDeleteBySession(session *xorm.Session, id interface{}) (int64, error)
	UpdateAgent(m *model.Agent, columns ...string) (int64, error)
}
